Bug 218581 - Review Request: mediawiki-openid - The OpenID extension for MediaWiki
Review Request: mediawiki-openid - The OpenID extension for MediaWiki
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Package Reviews List
http://mail.wikipedia.org/pipermail/w...
: Reopened
: 439340 (view as bug list)
Depends On: 227190
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 01:19 EST by Jeff Garzik
Modified: 2013-07-02 22:30 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-27 13:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2006-12-06 01:19:21 EST
Description of problem:
Would like single sign-on support via OpenID.  An extension apparently exists
for this: http://mail.wikipedia.org/pipermail/wikitech-l/2006-July/037155.html

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. Look around for single signon support
2. etc. :)
3.
  
Actual results:
<nul>

Expected results:
openid support :)

Additional info:
Comment 1 Axel Thimm 2006-12-28 09:09:08 EST
http://www.mediawiki.org/wiki/Extension:OpenID

I (or whoever beats me to it) need to package openid and yadis php libs by
OpenIDEnabled.com first.
Comment 2 Axel Thimm 2007-02-02 10:45:45 EST
I'm converting this into a new package request. Please note that this is a
top-level approach, e.g. there are two packages which I will submit later today
needed by this package as well as some changes to the mediawiki package itself.

Spec URL: http://dl.atrpms.net/all/mediawiki-openid.spec
SRPM URL: http://dl.atrpms.net/all/mediawiki-openid-0.6.1-3.at.src.rpm
Description: 
This extension lets users log in with an OpenID instead of a username
and password. An OpenID is a special URL that people can use to log in
to a Web site. The extension also lets users who have an account on
the wiki log in to other OpenID-aware Web sites with their wiki user
page as their OpenID.

You must create a table in your MediaWiki database to hold the OpenID
URL mappings. The openid_table.sql script in
%{_datadir}/mediawiki/extensions/OpenID/ should do the
trick. Typically you do this using the mysql command-line client, like
so:

        mysql -h yourdbhost -u youradminuser -p yourwikidb < openid_table.sql

In your MediaWiki LocalSettings.php, add the following line some place
towards the bottom of the file:

        require_once("$IP/extensions/OpenID/OpenID.php");

Theoretically it should work out of the box, but you'll almost
definitely want to set the trust root and access controls.

Comment 3 Nigel Jones 2007-04-26 22:16:51 EDT
(In reply to comment #2)
> Description: 
> This extension lets users log in with an OpenID instead of a username
> and password. An OpenID is a special URL that people can use to log in
> to a Web site. The extension also lets users who have an account on
> the wiki log in to other OpenID-aware Web sites with their wiki user
> page as their OpenID.
> 
> You must create a table in your MediaWiki database to hold the OpenID
> URL mappings. The openid_table.sql script in
> %{_datadir}/mediawiki/extensions/OpenID/ should do the
> trick. Typically you do this using the mysql command-line client, like
> so:
> 
>         mysql -h yourdbhost -u youradminuser -p yourwikidb < openid_table.sql
> 
> In your MediaWiki LocalSettings.php, add the following line some place
> towards the bottom of the file:
> 
>         require_once("$IP/extensions/OpenID/OpenID.php");
> 
> Theoretically it should work out of the box, but you'll almost
> definitely want to set the trust root and access controls.
> 
> 

Cut it off after the first paragraph, if you think you have to provide an extra
file such as README.Fedora (not sure what the standard is) explaining the
proceedure.
Comment 4 Jason Tibbitts 2007-06-21 12:37:15 EDT
This is a confusing ticket.  Who is the submitter?  Axel, if it's you, you
should open your own ticket so that this doesn't look like Jeff's package.
Comment 5 Axel Thimm 2007-06-21 12:53:33 EDT
I could start cloning the ticket and mark duplicates to reset the reporter
field, but I think it's bureaucratic overkill. You lose the comment segmentation
and perhaps even the Cc fields. (it's been a while since I last cloned a bug in
this bugzilla, so I'm not sure about the Cc fields).

Even if it is not immediately evident who the submitter is a reviewer should not
care whether this is Jeff or me whom he ponders the package's faults on, and the
work flow of this particular ticket is rather natural: Someone asks for a new
package and it gets processed at the same place.

The worst that can happen is some bugzilla querying script counting one
submission more to Jeff than to me, I think we'll manage. :)

Anyway this package set (e.g. the submitted dependencies as well) seems to not
really stir interest even though it was specifically asked for - it's rottening
since more than half a year now. :/
Comment 6 Jason Tibbitts 2007-06-21 13:33:01 EDT
Well, there's one more reviewer you won't be getting.
Comment 7 Axel Thimm 2007-06-21 14:15:11 EDT
Just because the reviewer may think on first sight this was submitted by Jeff?
Is Jeff known to be a reviewer eater? :)
Comment 8 Peter Lemenkov 2007-11-03 15:50:49 EDT
Any news?
Comment 9 Axel Thimm 2007-11-04 07:13:22 EST
(In reply to comment #8)
> Any news?

Want to pick up the review?
Comment 10 Peter Lemenkov 2007-11-04 08:13:20 EST
(In reply to comment #9)

> Want to pick up the review?

Already picked up :)
Wait a little...
Comment 11 Peter Lemenkov 2007-11-04 08:45:55 EST
btw  0.7.0 is out - why not to upgrade?

I updated package to 0.7.0, fixed wrong License (GPLv2+), and slightly changed
BuildRoot - here is the patch:

http://peter.fedorapeople.org/mediawiki-openid.spec.diff

Please apply it and I'll make a formal review ASAP.
Comment 12 Jason Tibbitts 2008-01-19 17:01:55 EST
Any progress here?
Comment 13 Peter Lemenkov 2008-01-19 17:18:40 EST
I just found that Axel updated his spec-file so I'll review it ASAP.
Comment 14 Axel Thimm 2008-01-19 17:34:21 EST
Sorry Peter, I completely forgot to update this bugzilla. :/
Comment 15 Peter Lemenkov 2008-01-19 17:54:36 EST
REVIEW:

[-] rpmlint is not silent - just add empty %build section into spec-file
[+] The package named according to the Package Naming Guidelines.
[+] The spec file name matches the base package %{name}, in the format %{name}.spec 
[+] The package meets the Packaging Guidelines.
[+] The package licensed with a Fedora approved license and meet the Licensing
Guidelines.
[+] The License field in the package spec file matches the actual license.
[+] The spec file written in American English.
[+] The spec file for the package is legible. 
[+] The sources used to build the package matches the upstream source
[+] The package successfully builds.
[+] All build dependencies listed in BuildRequires.
[+] The package owns all directories that it creates.
[+] The package does not contain any duplicate files in the %files listing.
[+] Permissions on files are set properly.
[+] The package have a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[+] The package consistently use macros.
[+] The package contains code, or permissable content.
[+] Packages does not own files or directories already owned by other packages.
[+] All filenames in rpm packages are valid UTF-8.

SHOULD Items:

[-] You SHOULD query upstream to include License among sources. It's not a
blocker though.

Some notes: 

* The description of package rather big. Maybe it would be better to put it into
separate file? Saying, README.fedora or similar. Just my IMHO, actually and not
a blocker.

* From description I realized that openid_table.sql needs only for creating a
database in MySQL, so I think that we should separate this file from
php-scripts. Maybe we should move it into %doc section?

Just settle my two doubts, satisfy rpmlint with empty %build section and I'll
approve it.
Comment 16 Peter Lemenkov 2008-01-19 17:59:30 EST
Just FYI here is a srpm (created from your latest spec) which I reviewed:

ftp://lux.di-net.ru/pub/apps/SRPMS/mediawiki-openid-0.7.0-4.src.rpm
Comment 17 Peter Lemenkov 2008-02-28 06:43:04 EST
Any news?
Comment 18 Axel Thimm 2008-03-03 22:48:04 EST
Spec URL: http://dl.atrpms.net/all/mediawiki-openid.spec
SRPM URL: http://dl.atrpms.net/all/mediawiki-openid-0.7.0-5.src.rpm

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.0-5
- Move *.sql to %%doc.
- move part of %%description to a README.1st file.
- add empty %%build.

All items but getting feedback from upstream on including the license should be
resolved now.
Comment 19 Peter Lemenkov 2008-03-06 06:07:58 EST
OK, thanks.

APPROVED.
Comment 20 Kevin Fenzi 2008-03-07 12:41:14 EST
Axel: 

Please use the cvs template so we know what branches you want, etc. 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Reset the fedora-cvs flag when you are ready. 
Comment 21 Axel Thimm 2008-03-08 05:59:57 EST
New Package CVS Request
=======================
Package Name: mediawiki-openid
Short Description: The OpenID extension for MediaWiki
Owners: athimm
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: no (too many people in this group)
Comment 22 Kevin Fenzi 2008-03-08 14:30:53 EST
cvs done.
Comment 23 Axel Thimm 2008-03-08 15:31:46 EST
Thanks for review & cvs op!
Comment 24 Ian Weller 2008-03-28 19:00:59 EDT
*** Bug 439340 has been marked as a duplicate of this bug. ***
Comment 25 Fedora Update System 2008-03-30 08:25:07 EDT
mediawiki-openid-0.8.2-7 has been submitted as an update for Fedora 7
Comment 26 Alex Lancaster 2008-04-13 07:26:46 EDT
This package shouldn't have passed review as it has Requires: that aren't
actually in Fedora, e.g. php-pear-Auth-OpenID which is still in review (bug #227190)

Broken deps for i386
----------------------------------------------------------
	mediawiki-openid-0.7.0-5.noarch requires php-pear-Auth-OpenID
	mediawiki-openid-0.7.0-5.noarch requires php-pear-Services-Yadis

see:

http://koji.fedoraproject.org/mash/rawhide-20080413/logs/depcheck

This should probably be blocked from F-9 until such time as the dependencies are
fully packaged and available. 
Comment 27 Fedora Update System 2008-04-16 23:51:12 EDT
mediawiki-openid-0.8.2-7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediawiki-openid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2857
Comment 28 John Poelstra 2008-07-04 14:21:33 EDT
What is the correct state for this bug?

per comment #26 seems to be saying this bug is not fixed and all the other
comments are about updates to F7 which is currently EOL... and yet this bug is
open against 'rawhide' :-)
Comment 29 Peter Lemenkov 2008-07-04 14:35:08 EDT
This request is blocked by two (see dependencies) another review requests (which
I'm reviewing). They currently in suspended state in a middle of review - I'll
ping Axel.

There is another one attempt by Ian Weller to push php-openid modules into Fedora:

https://bugzilla.redhat.com/show_bug.cgi?id=439285

I'll contact Ian asap for coordination.
Comment 30 Axel Thimm 2008-07-04 17:04:15 EDT
One of the dependencies is no dependency anymore in recent versions, so I'm
dropping the block. It's now actually only one package to be reviewed and it's
through, and the review comments look encouraging (nothing major).

As to F7 builds: There will only be an oldest-Fedora-build as this package is
trans-distro identical. koji has some magic to inherit this to all later
releases automatically. Which means that once the dependencies are in, one will
either stil find the F7 build and use that, or have an F8 build for F8/F9/devel.
Comment 31 Peter Lemenkov 2008-08-25 04:43:53 EDT
Still no branch for F-9.
Comment 32 Axel Thimm 2008-08-25 08:04:06 EDT
See

https://fedorahosted.org/rel-eng/ticket/768

for details.
Comment 33 Peter Lemenkov 2008-09-27 13:30:17 EDT
OK, finally branched for F-9.

Note You need to log in before you can comment on or make changes to this bug.